diff --git a/Documentation/conf.py b/Documentation/conf.py
index 7fadb3b83293..fef209edb4d7 100644
--- a/Documentation/conf.py
+++ b/Documentation/conf.py
@@ -348,6 +348,8 @@ latex_documents = [
      'The kernel development community', 'manual'),
     ('driver-api/index', 'driver-api.tex', 'The kernel driver API manual',
      'The kernel development community', 'manual'),
+    ('input/index', 'linux-input.tex', 'The Linux input driver subsystem',
+     'The kernel development community', 'manual'),
     ('kernel-documentation', 'kernel-documentation.tex', 'The Linux Kernel Documentation',
      'The kernel development community', 'manual'),
     ('process/index', 'development-process.tex', 'Linux Kernel Development Documentation',
diff --git a/Documentation/input/alps.txt b/Documentation/input/alps.rst
similarity index 100%
rename from Documentation/input/alps.txt
rename to Documentation/input/alps.rst
diff --git a/Documentation/input/amijoy.txt b/Documentation/input/amijoy.rst
similarity index 100%
rename from Documentation/input/amijoy.txt
rename to Documentation/input/amijoy.rst
diff --git a/Documentation/input/appletouch.txt b/Documentation/input/appletouch.rst
similarity index 100%
rename from Documentation/input/appletouch.txt
rename to Documentation/input/appletouch.rst
diff --git a/Documentation/input/atarikbd.txt b/Documentation/input/atarikbd.rst
similarity index 100%
rename from Documentation/input/atarikbd.txt
rename to Documentation/input/atarikbd.rst
diff --git a/Documentation/input/bcm5974.txt b/Documentation/input/bcm5974.rst
similarity index 100%
rename from Documentation/input/bcm5974.txt
rename to Documentation/input/bcm5974.rst
diff --git a/Documentation/input/cd32.txt b/Documentation/input/cd32.rst
similarity index 100%
rename from Documentation/input/cd32.txt
rename to Documentation/input/cd32.rst
diff --git a/Documentation/input/cma3000_d0x.txt b/Documentation/input/cma3000_d0x.rst
similarity index 100%
rename from Documentation/input/cma3000_d0x.txt
rename to Documentation/input/cma3000_d0x.rst
diff --git a/Documentation/input/conf.py b/Documentation/input/conf.py
new file mode 100644
index 000000000000..d2352fdc92ed
--- /dev/null
+++ b/Documentation/input/conf.py
@@ -0,0 +1,10 @@
+# -*- coding: utf-8; mode: python -*-
+
+project = "The Linux input driver subsystem"
+
+tags.add("subproject")
+
+latex_documents = [
+    ('index', 'linux-input.tex', project,
+     'The kernel development community', 'manual'),
+]
diff --git a/Documentation/input/cs461x.txt b/Documentation/input/cs461x.rst
similarity index 100%
rename from Documentation/input/cs461x.txt
rename to Documentation/input/cs461x.rst
diff --git a/Documentation/input/edt-ft5x06.txt b/Documentation/input/edt-ft5x06.rst
similarity index 100%
rename from Documentation/input/edt-ft5x06.txt
rename to Documentation/input/edt-ft5x06.rst
diff --git a/Documentation/input/elantech.txt b/Documentation/input/elantech.rst
similarity index 100%
rename from Documentation/input/elantech.txt
rename to Documentation/input/elantech.rst
diff --git a/Documentation/input/event-codes.txt b/Documentation/input/event-codes.rst
similarity index 100%
rename from Documentation/input/event-codes.txt
rename to Documentation/input/event-codes.rst
diff --git a/Documentation/input/ff.txt b/Documentation/input/ff.rst
similarity index 100%
rename from Documentation/input/ff.txt
rename to Documentation/input/ff.rst
diff --git a/Documentation/input/gamepad.txt b/Documentation/input/gamepad.rst
similarity index 100%
rename from Documentation/input/gamepad.txt
rename to Documentation/input/gamepad.rst
diff --git a/Documentation/input/gameport-programming.txt b/Documentation/input/gameport-programming.rst
similarity index 100%
rename from Documentation/input/gameport-programming.txt
rename to Documentation/input/gameport-programming.rst
diff --git a/Documentation/input/gpio-tilt.txt b/Documentation/input/gpio-tilt.rst
similarity index 100%
rename from Documentation/input/gpio-tilt.txt
rename to Documentation/input/gpio-tilt.rst
diff --git a/Documentation/input/iforce-protocol.txt b/Documentation/input/iforce-protocol.rst
similarity index 100%
rename from Documentation/input/iforce-protocol.txt
rename to Documentation/input/iforce-protocol.rst
diff --git a/Documentation/input/index.rst b/Documentation/input/index.rst
new file mode 100644
index 000000000000..153f0d476c3e
--- /dev/null
+++ b/Documentation/input/index.rst
@@ -0,0 +1,77 @@
+=============================
+The Linux Input Documentation
+=============================
+
+Disclaimer
+==========
+
+This program is free software; you can redistribute it and/or modify it
+under the terms of the GNU General Public License as published by the Free
+Software Foundation; either version 2 of the License, or (at your option)
+any later version.
+
+This program is distributed in the hope that it will be useful, but
+WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
+or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
+more details.
+
+You should have received a copy of the GNU General Public License along
+with this program; if not, write to the Free Software Foundation, Inc., 59
+Temple Place, Suite 330, Boston, MA 02111-1307 USA
+
+For your convenience, the GNU General Public License version 2 is included
+in the package: See the file COPYING.
+
+
+Core API
+========
+
+.. toctree::
+   :maxdepth: 2
+   :numbered:
+
+   input
+   input-programming
+   event-codes
+   joystick
+   joystick-api
+   multi-touch-protocol
+   gamepad
+   gameport-programming
+   ff
+   notifier
+   userio
+
+Input drivers
+=============
+
+.. toctree::
+   :maxdepth: 2
+   :numbered:
+
+   alps
+   amijoy
+   appletouch
+   atarikbd
+   bcm5974
+   cd32
+   cma3000_d0x
+   cs461x
+   edt-ft5x06
+   elantech
+   iforce-protocol
+   joystick-parport
+   gpio-tilt
+   ntrig
+   rotary-encoder
+   sentelic
+   walkera0701
+   xpad
+   yealink
+
+.. only::  subproject and html
+
+   Indices
+   =======
+
+   * :ref:`genindex`
diff --git a/Documentation/input/input-programming.txt b/Documentation/input/input-programming.rst
similarity index 100%
rename from Documentation/input/input-programming.txt
rename to Documentation/input/input-programming.rst
diff --git a/Documentation/input/input.txt b/Documentation/input/input.rst
similarity index 92%
rename from Documentation/input/input.txt
rename to Documentation/input/input.rst
index fda995e0ceb0..ac7669ad3e76 100644
--- a/Documentation/input/input.txt
+++ b/Documentation/input/input.rst
@@ -6,30 +6,10 @@ Linux Input drivers
 
 :Copyright: |copy| 1999-2001 Vojtech Pavlik <vojtech@ucw.cz> - Sponsored by SuSE
 
-Disclaimer
-==========
-
-This program is free software; you can redistribute it and/or modify it
-under the terms of the GNU General Public License as published by the Free
-Software Foundation; either version 2 of the License, or (at your option)
-any later version.
-
-This program is distributed in the hope that it will be useful, but
-WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
-or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
-more details.
-
-You should have received a copy of the GNU General Public License along
-with this program; if not, write to the Free Software Foundation, Inc., 59
-Temple Place, Suite 330, Boston, MA 02111-1307 USA
-
 Should you need to contact me, the author, you can do so either by e-mail
 - mail your message to <vojtech@ucw.cz>, or by paper mail: Vojtech Pavlik,
 Simunkova 1594, Prague 8, 182 00 Czech Republic
 
-For your convenience, the GNU General Public License version 2 is included
-in the package: See the file COPYING.
-
 Introduction
 ============
 
diff --git a/Documentation/input/joystick-api.txt b/Documentation/input/joystick-api.rst
similarity index 100%
rename from Documentation/input/joystick-api.txt
rename to Documentation/input/joystick-api.rst
diff --git a/Documentation/input/joystick-parport.txt b/Documentation/input/joystick-parport.rst
similarity index 100%
rename from Documentation/input/joystick-parport.txt
rename to Documentation/input/joystick-parport.rst
diff --git a/Documentation/input/joystick.txt b/Documentation/input/joystick.rst
similarity index 100%
rename from Documentation/input/joystick.txt
rename to Documentation/input/joystick.rst
diff --git a/Documentation/input/multi-touch-protocol.txt b/Documentation/input/multi-touch-protocol.rst
similarity index 100%
rename from Documentation/input/multi-touch-protocol.txt
rename to Documentation/input/multi-touch-protocol.rst
diff --git a/Documentation/input/notifier.txt b/Documentation/input/notifier.rst
similarity index 100%
rename from Documentation/input/notifier.txt
rename to Documentation/input/notifier.rst
diff --git a/Documentation/input/ntrig.txt b/Documentation/input/ntrig.rst
similarity index 100%
rename from Documentation/input/ntrig.txt
rename to Documentation/input/ntrig.rst
diff --git a/Documentation/input/rotary-encoder.txt b/Documentation/input/rotary-encoder.rst
similarity index 100%
rename from Documentation/input/rotary-encoder.txt
rename to Documentation/input/rotary-encoder.rst
diff --git a/Documentation/input/sentelic.txt b/Documentation/input/sentelic.rst
similarity index 100%
rename from Documentation/input/sentelic.txt
rename to Documentation/input/sentelic.rst
diff --git a/Documentation/input/userio.txt b/Documentation/input/userio.rst
similarity index 100%
rename from Documentation/input/userio.txt
rename to Documentation/input/userio.rst
diff --git a/Documentation/input/walkera0701.txt b/Documentation/input/walkera0701.rst
similarity index 100%
rename from Documentation/input/walkera0701.txt
rename to Documentation/input/walkera0701.rst
diff --git a/Documentation/input/xpad.txt b/Documentation/input/xpad.rst
similarity index 100%
rename from Documentation/input/xpad.txt
rename to Documentation/input/xpad.rst
diff --git a/Documentation/input/yealink.txt b/Documentation/input/yealink.rst
similarity index 100%
rename from Documentation/input/yealink.txt
rename to Documentation/input/yealink.rst